Subject: [i2rs] Alissa Cooper's No Objection on draft-ietf-i2rs-rib-data-model-10: (with COMMENT)

From: Alissa Cooper <[email-masked]>
Date: Tue, 03 Apr 2018 08:09:56 -0700

Alissa Cooper has entered the following ballot position for
draft-ietf-i2rs-rib-data-model-10: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-i2rs-rib-data-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Sec 1.2:

"YANG tree diagrams provide a concise representation of a YANG module,
   and SHOULD be included to help readers understand YANG module
   structure."

This document does not seem like an appropriate place to have normative
guidance about this. And if this sentence is removed, I don't see the point of
including Section 1.2 otherwise. This would also imply deleting the reference
to I-D.ietf-netmod-yang-tree-diagrams.

Sec 2.1: Again here I'm confused about the use of normative language. Why do
you need to specify normative requirements for what this very document is
specifying? Or are these supposed to be requirements on implementations?

Sec 2.5: s/causes/caused/

---

From: Mach Chen <[email-masked]>
Date: Sun, 8 Apr 2018 08:23:07 +0000

Hi Alissa,

Thanks for your comments!

Please see my responses inline...

> -----Original Message-----
> From: i2rs [mailto:[email-masked]] On Behalf Of Alissa Cooper
> Sent: Tuesday, April 03, 2018 11:10 PM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: [i2rs] Alissa Cooper's No Objection on draft-ietf-i2rs-rib-data-model-10:
> (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> including Section 1.2 otherwise. This would also imply deleting the reference to
> I-D.ietf-netmod-yang-tree-diagrams.

This results from a YANG doctor review.  I saw it also occurs in other published documents. I personally think it's no harm to keep it, how do you think?

> specifying? Or are these supposed to be requirements on implementations?

OK, how about this:

"...a RIB data model needs to specify a way for an external entity to learn about the functional capabilities of a network device." And 

" The RIB data model needs a way to expose the nexthop chaining capability supported by a given network device."

> Sec 2.5: s/causes/caused/

Done

The above updates will be reelected in version-11.

Thanks,
Mach
> 
> 
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs

---

From: "t.petch" <[email-masked]>
Date: Sun, 8 Apr 2018 12:41:39 +0100

---- Original Message -----
From: "Mach Chen" <[email-masked]>
To: "Alissa Cooper" <[email-masked]>; "The IESG" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Sunday, April 08, 2018 9:23 AM

> > Please refer to
https://www.ietf.org/iesg/statement/discuss-criteria.html
> This results from a YANG doctor review.  I saw it also occurs in other
published documents. I personally think it's no harm to keep it, how do
you think?

Mach

I think that this is very odd.

YANG guidelines rfc6087bis says
"   YANG tree diagrams provide a concise representation of a YANG
module,
   and SHOULD be included to help readers understand YANG module
   structure.  Guidelines on tree diagrams can be found in Section 3 of
   [I-D.ietf-netmod-yang-tree-diagrams].
"
which I think is the correct guidance in the correct place.

A quick look at the recently published RFC8343, RFC8344, RFC8345,
RFC8346 contain no text of the kind you suggest so if it occurs in other
I-D, then I would regard those other I-D as being in error.

If I look back at a thread from Ebben for a yang doctor review of an
earlier version of this I-D, the text I see proposed is

"
>    A simplified graphical representation of the data model is used in
>    this document.  The meaning of the symbols in these diagrams is
>    defined in [I-D.ietf-netmod-yang-tree-diagrams].
"
which I think is rather different.

Tom Petch
(not a YANG doctor)

> "...a RIB data model needs to specify a way for an external entity to
learn about the functional capabilities of a network device." And
>
> " The RIB data model needs a way to expose the nexthop chaining
capability supported by a given network device."

---

From: Mach Chen <[email-masked]>
Date: Sun, 8 Apr 2018 13:20:19 +0000

Hi Tom,

> From: t.petch [mailto:[email-masked]]
> Sent: Sunday, April 08, 2018 7:42 PM
> To: Mach Chen <[email-masked]>; Alissa Cooper
> <[email-masked]>; The IESG <[email-masked]>
> Subject: Re: [i2rs] Alissa Cooper's No Objection on draft-ietf-i2rs-rib-data-
> model-10: (with COMMENT)
> 
> published documents. I personally think it's no harm to keep it, how do you
> think?
> 
> Mach
> 
> RFC8346 contain no text of the kind you suggest so if it occurs in other I-D, then
> I would regard those other I-D as being in error.
> 
> If I look back at a thread from Ebben for a yang doctor review of an earlier
> version of this I-D, the text I see proposed is
> 
> "

Indeed, my fault, I just checked Ebben's suggestion, it's as above quoted. 

To Alissa:
If change to following text, is it OK for you?

"A simplified graphical representation of the data model is used in
this document.  The meaning of the symbols in these diagrams is
defined in [I-D.ietf-netmod-yang-tree-diagrams]."

Best regards,
Mach

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 9 Apr 2018 15:50:38 -0400

> On Apr 8, 2018, at 9:20 AM, Mach Chen <[email-masked]> wrote:
> 
> Hi Tom,
> 
> defined in [I-D.ietf-netmod-yang-tree-diagrams].”

Yes, thanks.
Alissa

---

From: "t.petch" <[email-masked]>
Date: Wed, 11 Apr 2018 10:21:57 +0100

Mach

One additional thought on tree diagrams.

This is now RFC8340

and

YANG guidelines 6087bis section 3.4 says

"   If YANG tree diagrams are used, then an informative reference to the
   YANG tree diagrams specification MUST be included in the document.
"
whereas you currently have it as a Normative Reference (well, perhaps
two related thoughts:-(

Tom Petch

----- Original Message -----
From: "Alissa Cooper" <[email-masked]>
Sent: Monday, April 09, 2018 8:50 PM

>> If I look back at a thread from Ebben for a yang doctor review of an
earlier

Yes, thanks.
Alissa

---

From: "Susan Hares" <[email-masked]>
Date: Wed, 11 Apr 2018 14:01:06 -0400

Tom - thank you for your continued review of this work!

Sue Hares 

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: Wednesday, April 11, 2018 5:22 AM
To: Alissa Cooper; Mach Chen
Cc: IESG; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [i2rs] Alissa Cooper's No Objection on draft-ietf-i2rs-rib-data-model-10: (with COMMENT)

Mach

This is now RFC8340

and

"   If YANG tree diagrams are used, then an informative reference to the
   YANG tree diagrams specification MUST be included in the document.
"
whereas you currently have it as a Normative Reference (well, perhaps two related thoughts:-(

Tom Petch

----- Original Message -----
From: "Alissa Cooper" <[email-masked]>
Sent: Monday, April 09, 2018 8:50 PM

earlier

Yes, thanks.
Alissa

---

From: Mach Chen <[email-masked]>
Date: Thu, 12 Apr 2018 06:07:38 +0000

Hi Tom,

It will be fixed in the upcoming version-11.

Best regards,
Mach

> Sent: Wednesday, April 11, 2018 5:22 PM
> To: Alissa Cooper <[email-masked]>; Mach Chen <[email-masked]>
> Cc: IESG <[email-masked]>; [email-masked]; [email-masked];
> [email-masked]; [email-masked]

---

From: Benoit Claise <[email-masked]>
Date: Mon, 16 Apr 2018 22:07:55 +0800

Dear all,

On this topic, we tried to have a consistent section for all recently 
published RFCs.

      1.x <https://tools.ietf.org/html/rfc8343#section-1.3>. Tree Diagrams

    Tree diagrams used in this document follow the notation defined in
    [RFC8340 <https://tools.ietf.org/html/rfc8340>].

Ex: rfc8343

Regards, Benoit

---

From: Mach Chen <[email-masked]>
Date: Wed, 18 Apr 2018 08:31:25 +0000

Hi Benoit,

OK, will use you suggested text below.

Thanks,
Mach

From: Benoit Claise [mailto:[email-masked]]
Sent: Monday, April 16, 2018 10:08 PM
To: Mach Chen <[email-masked]>; t.petch <[email-masked]>; Alissa Cooper <[email-masked]>
Cc: [email-masked]; [email-masked]; IESG <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [i2rs] Alissa Cooper's No Objection on draft-ietf-i2rs-rib-data-model-10: (with COMMENT)

Dear all,

On this topic, we tried to have a consistent section for all recently published RFCs.
1.x<https://tools.ietf.org/html/rfc8343#section-1.3>.  Tree Diagrams

   [RFC8340<https://tools.ietf.org/html/rfc8340>].
Ex: rfc8343

Regards, Benoit

Hi Tom,

Best regards,

Mach

-----Original Message-----

To: Alissa Cooper <[email-masked]><mailto:[email-masked]>; Mach Chen <[email-masked]><mailto:[email-masked]>

Cc: IESG <[email-masked]><mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;

[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

model-10: (with COMMENT)

Mach

This is now RFC8340

and

"

whereas you currently have it as a Normative Reference (well, perhaps two

related thoughts:-(

Tom Petch

----- Original Message -----

From: "Alissa Cooper" <[email-masked]><mailto:[email-masked]>

On Apr 8, 2018, at 9:20 AM, Mach Chen <[email-masked]><mailto:[email-masked]> wrote:

Hi Tom,

-----Original Message-----

To: Mach Chen <[email-masked]><mailto:[email-masked]>; Alissa Cooper

<[email-masked]><mailto:[email-masked]>; The IESG <[email-masked]><mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;

[email-masked]<mailto:[email-masked]>;

[email-masked]<mailto:[email-masked]>

Subject: Re: [i2rs] Alissa Cooper's No Objection on

draft-ietf-i2rs-rib-data-

model-10: (with COMMENT)

---- Original Message -----

From: "Mach Chen" <[email-masked]><mailto:[email-masked]>

To: "Alissa Cooper" <[email-masked]><mailto:[email-masked]>; "The IESG" <[email-masked]><mailto:[email-masked]>

Cc: <[email-masked]><mailto:[email-masked]>; <[email-masked]><mailto:[email-masked]>;

<[email-masked]><mailto:[email-masked]>; <[email-masked]><mailto:[email-masked]>

Hi Alissa,

-----Original Message-----

From: i2rs [mailto:[email-masked]] On Behalf Of Alissa

Cooper

To: The IESG <[email-masked]><mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;

[email-masked]<mailto:[email-masked]>;

[email-masked]<mailto:[email-masked]>

Subject: [i2rs] Alissa Cooper's No Objection on

draft-ietf-i2rs-rib-data-model-10:

(with COMMENT)

When responding, please keep the subject line intact and reply to

all email

addresses included in the To and CC lines. (Feel free to cut this

introductory

paragraph, however.)

Please refer to

--------------------------------------------------------------------

--

COMMENT:

--------------------------------------------------------------------

--

Sec 1.2:

"YANG tree diagrams provide a concise representation of a YANG

module,

  structure."

This document does not seem like an appropriate place to have

normative

guidance about this. And if this sentence is removed, I don't see

the point of

including Section 1.2 otherwise. This would also imply deleting the

reference to

This results from a YANG doctor review.  I saw it also occurs in

other

published documents. I personally think it's no harm to keep it, how

do you

think?

Mach

module,

  structure.  Guidelines on tree diagrams can be found in Section 3

of

"

RFC8346 contain no text of the kind you suggest so if it occurs in

other I-D, then

earlier

"

"

Indeed, my fault, I just checked Ebben's suggestion, it's as above

quoted.

To Alissa:

Yes, thanks.

Alissa

Best regards,

Mach

Tom Petch

(not a YANG doctor)

Sec 2.1: Again here I'm confused about the use of normative

language. Why do

you need to specify normative requirements for what this very

document is

specifying? Or are these supposed to be requirements on

implementations?

OK, how about this:

"...a RIB data model needs to specify a way for an external entity

to

Done

Thanks,

Mach

i2rs mailing list

[email-masked]<mailto:[email-masked]>